Index: src/Tesselation/boundary.cpp
===================================================================
--- src/Tesselation/boundary.cpp	(revision 27888fd60fedb9daf1311f4503c4ecb04ae30759)
+++ src/Tesselation/boundary.cpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
@@ -1278,5 +1278,5 @@
   // Center filler at origin
   filler->CenterEdge(&Inserter);
-  const int FillerCount = filler->getAtomCount();
+//  const int FillerCount = filler->getAtomCount();
   LOG(2, "INFO: Filler molecule has the following bonds:");
   for(molecule::iterator AtomRunner = filler->begin(); AtomRunner != filler->end(); ++AtomRunner) {
@@ -1290,5 +1290,5 @@
   }
 
-  atom * CopyAtoms[FillerCount];
+//  atom * CopyAtoms[FillerCount];
 
   setVerbosity(4);
@@ -1445,5 +1445,5 @@
   CandidateForTesselation *baseline = NULL;
   bool OneLoopWithoutSuccessFlag = true;  // marks whether we went once through all baselines without finding any without two triangles
-  bool TesselationFailFlag = false;
+//  bool TesselationFailFlag = false;
 
   mol->getAtomCount();
@@ -1486,5 +1486,7 @@
 
     // 2b. find best candidate for each OpenLine
-    TesselationFailFlag = TesselStruct->FindCandidatesforOpenLines(RADIUS, LCList);
+    const bool TesselationFailFlag = TesselStruct->FindCandidatesforOpenLines(RADIUS, LCList);
+    ASSERT( TesselationFailFlag,
+        "FindNonConvexBorder() - at least one open line without candidate exists.");
 
     // 2c. print OpenLines with candidates again
Index: src/Tesselation/tesselation.cpp
===================================================================
--- src/Tesselation/tesselation.cpp	(revision 27888fd60fedb9daf1311f4503c4ecb04ae30759)
+++ src/Tesselation/tesselation.cpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
@@ -120,5 +120,4 @@
   BoundaryTriangleSet *T = NULL;
   bool OneLoopWithoutSuccessFlag = true;
-  bool TesselationFailFlag = false;
   while ((!OpenLines.empty()) && (OneLoopWithoutSuccessFlag)) {
     // 2a. fill all new OpenLines
@@ -128,5 +127,7 @@
         T = (((baseline->BaseLine->triangles.begin()))->second);
         //the line is there, so there is a triangle, but only one.
-        TesselationFailFlag = FindNextSuitableTriangle(*baseline, *T, SPHERERADIUS, LinkedList);
+        const bool TesselationFailFlag = FindNextSuitableTriangle(*baseline, *T, SPHERERADIUS, LinkedList);
+        ASSERT( TesselationFailFlag,
+            "Tesselation::operator() - no suitable candidate triangle found.");
       }
     }
@@ -1399,4 +1400,5 @@
  * @param N number of found triangles
  * @param *LC LinkedCell_deprecated structure with neighbouring points
+ * @return false - no suitable candidate found
  */
 bool Tesselation::FindNextSuitableTriangle(CandidateForTesselation &CandidateLine, const BoundaryTriangleSet &T, const double& RADIUS, const LinkedCell_deprecated *LC)
@@ -3223,5 +3225,5 @@
   list<TesselPointList *>::iterator ListAdvance = ListOfClosedPaths->begin();
   list<TesselPointList *>::iterator ListRunner = ListAdvance;
-  TriangleMap::iterator NumberRunner = Candidates.begin();
+//  TriangleMap::iterator NumberRunner = Candidates.begin();
   TesselPointList::iterator StartNode, MiddleNode, EndNode;
   double angle;
@@ -3637,5 +3639,5 @@
       // check whether we have to fix lines
       BoundaryTriangleSet *Othertriangle = NULL;
-      BoundaryTriangleSet *OtherpartnerTriangle = NULL;
+//      BoundaryTriangleSet *OtherpartnerTriangle = NULL;
       TriangleMap::iterator TriangleRunner;
       for (int i = 0; i < 3; ++i)
@@ -3648,7 +3650,7 @@
               }
             for (TriangleRunner = partnerTriangle->lines[i]->triangles.begin(); TriangleRunner != partnerTriangle->lines[i]->triangles.end(); ++TriangleRunner)
-              if (TriangleRunner->second != partnerTriangle) {
-                OtherpartnerTriangle = TriangleRunner->second;
-              }
+//              if (TriangleRunner->second != partnerTriangle) {
+//                OtherpartnerTriangle = TriangleRunner->second;
+//              }
             /// interchanges their lines so that triangle->lines[i] == partnerTriangle->lines[j]
             // the line of triangle receives the degenerated ones
Index: src/Tesselation/tesselationhelpers.cpp
===================================================================
--- src/Tesselation/tesselationhelpers.cpp	(revision 27888fd60fedb9daf1311f4503c4ecb04ae30759)
+++ src/Tesselation/tesselationhelpers.cpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
@@ -430,5 +430,5 @@
   TesselPoint* secondClosestPoint = NULL;
   double distance = 1e16;
-  double secondDistance = 1e16;
+//  double secondDistance = 1e16;
   Vector helper;
   int N[NDIM], Nlower[NDIM], Nupper[NDIM];
@@ -451,5 +451,5 @@
             if (currentNorm < distance) {
               // remember second point
-              secondDistance = distance;
+//              secondDistance = distance;
               secondClosestPoint = closestPoint;
               // mark down new closest point
